app-id: net.zdechov.app.x2048
runtime: org.kde.Platform
runtime-version: '5.15-24.08'
sdk: org.kde.Sdk
sdk-extensions:
  - org.freedesktop.Sdk.Extension.freepascal
command: Game2048
finish-args:
  - --share=ipc
  - --socket=fallback-x11
  - --socket=wayland
  - --device=dri
modules:
  - name: qt5pas
    buildsystem: qmake
    config-opts:
      - -after
      - target.path=/app/lib
    sources:
      - type: shell
        commands:
          - cp -r /usr/lib/sdk/freepascal/share/lazarus/lcl/interfaces/qt5/cbindings/. .
  - name: x2048
    sources:
      - type: svn
        url: https://svn.zdechov.net/2048/trunk
        revision: 124
    buildsystem: simple
    build-commands:
      - |
        . /usr/lib/sdk/freepascal/enable.sh
        lazbuild --build-mode=Release --ws=qt5 Game2048.lpi
      - install -Dm755 Game2048 -t $FLATPAK_DEST/share/Game2048
      - install -d $FLATPAK_DEST/bin
      - ln -s $FLATPAK_DEST/share/Game2048/Game2048 $FLATPAK_DEST/bin/Game2048
      - install -Dm644 Install/flatpak/${FLATPAK_ID}.desktop -t $FLATPAK_DEST/share/applications
      - install -Dm644 "Images/Logo 256x256.png" $FLATPAK_DEST/share/icons/hicolor/256x256/apps/${FLATPAK_ID}.png
      - install -Dm644 Languages/*.po -t $FLATPAK_DEST/share/Game2048/Languages
      - install -Dm644 Packages/Common/Languages/*.po -t $FLATPAK_DEST/share/Game2048/Languages
      - install -Dm644 Install/flatpak/${FLATPAK_ID}.appdata.xml $FLATPAK_DEST/share/metainfo/${FLATPAK_ID}.metainfo.xml
